package com.steering.pss.sale.order.model;

/**
 * 数据库表COM_PSC_R_MSC所对应的实体类（生成工具：代码生成器2.3）
 * @author Chenxi-PC   date 2015-04-20
 */
public class ComPscRMscEntity {
    /**
     * {老系统}产品规范码
     */
    private String pscOld;
    /**
     * {老系统}Alpha代码(客户标准)
     */
    private String useCodeOld;
    /**
     * {老系统}冶金规范码
     */
    private String mscOld;
    /**
     * 产品规范码
     */
    private String psc;
    /**
     * 产品规范描述
     */
    private String pscDesc;
    /**
     * 协议或Alpha代码(客户标准)
     */
    private String useCode;
    /**
     * 协议或Alpha描述(客户标准)
     */
    private String useDesc;
    /**
     * 冶金规范码
     */
    private String msc;
    /**
     * 冶金规范描述
     */
    private String mscDesc;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除人
     */
    private String deleteName;
    /**
     * 删除时间
     */
    private String deleteTime;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 备注
     */
    private String memo;
    private String custAlphaNo = "";

	public ComPscRMscEntity(){
        pscOld = "";
        useCodeOld = "";
        mscOld = "";
        psc = "";
        pscDesc = "";
        useCode = "";
        useDesc = "";
        msc = "";
        mscDesc = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        deleteName = "";
        deleteTime = "";
        validflag = "";
        memo = "";
    }

    /**
     * {老系统}产品规范码
     * @return value
     */
    public String getPscOld() {
        return pscOld;
    }

    /**
     * {老系统}产品规范码
     * @param pscOld value
     */
    public void setPscOld(String pscOld) {
        this.pscOld = pscOld;
    }

    /**
     * {老系统}Alpha代码(客户标准)
     * @return value
     */
    public String getUseCodeOld() {
        return useCodeOld;
    }

    /**
     * {老系统}Alpha代码(客户标准)
     * @param useCodeOld value
     */
    public void setUseCodeOld(String useCodeOld) {
        this.useCodeOld = useCodeOld;
    }

    /**
     * {老系统}冶金规范码
     * @return value
     */
    public String getMscOld() {
        return mscOld;
    }

    /**
     * {老系统}冶金规范码
     * @param mscOld value
     */
    public void setMscOld(String mscOld) {
        this.mscOld = mscOld;
    }

    /**
     * 产品规范码
     * @return value
     */
    public String getPsc() {
        return psc;
    }

    /**
     * 产品规范码
     * @param psc value
     */
    public void setPsc(String psc) {
        this.psc = psc;
    }

    /**
     * 产品规范描述
     * @return value
     */
    public String getPscDesc() {
        return pscDesc;
    }

    /**
     * 产品规范描述
     * @param pscDesc value
     */
    public void setPscDesc(String pscDesc) {
        this.pscDesc = pscDesc;
    }

    /**
     * 协议或Alpha代码(客户标准)
     * @return value
     */
    public String getUseCode() {
        return useCode;
    }

    /**
     * 协议或Alpha代码(客户标准)
     * @param useCode value
     */
    public void setUseCode(String useCode) {
        this.useCode = useCode;
    }

    /**
     * 协议或Alpha描述(客户标准)
     * @return value
     */
    public String getUseDesc() {
        return useDesc;
    }

    /**
     * 协议或Alpha描述(客户标准)
     * @param useDesc value
     */
    public void setUseDesc(String useDesc) {
        this.useDesc = useDesc;
    }

    /**
     * 冶金规范码
     * @return value
     */
    public String getMsc() {
        return msc;
    }

    /**
     * 冶金规范码
     * @param msc value
     */
    public void setMsc(String msc) {
        this.msc = msc;
    }

    /**
     * 冶金规范描述
     * @return value
     */
    public String getMscDesc() {
        return mscDesc;
    }

    /**
     * 冶金规范描述
     * @param mscDesc value
     */
    public void setMscDesc(String mscDesc) {
        this.mscDesc = mscDesc;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
    
    public String getCustAlphaNo() {
		return custAlphaNo;
	}

	public void setCustAlphaNo(String custAlphaNo) {
		this.custAlphaNo = custAlphaNo;
	}
}
